Package picard.illumina

# Class IlluminaBasecallingMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.illumina.IlluminaBasecallingMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class IlluminaBasecallingMetrics extends htsjdk.samtools.metrics.MetricBase
Metric for Illumina Basecalling that stores means and standard deviations on a per-barcode per-lane basis. Averages and means are taken over all tiles.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`LANE`
The lane for which the metrics were calculated.
`double`
`MEAN_CLUSTERS_PER_TILE`
The mean number of clusters per tile.
`double`
`MEAN_PCT_PF_CLUSTERS_PER_TILE`
The mean percentage of pf clusters per tile.
`double`
`MEAN_PF_CLUSTERS_PER_TILE`
The mean number of pf clusters per tile.
`String`
`MOLECULAR_BARCODE_NAME`
The barcode name for which the metrics were calculated.
`String`
`MOLECULAR_BARCODE_SEQUENCE_1`
The barcode sequence for which the metrics were calculated.
`long`
`PF_BASES`
The total number of passing-filter bases assigned to the index.
`long`
`PF_CLUSTERS`
The total number of PF clusters assigned to the index.
`long`
`PF_READS`
The total number of passing-filter reads assigned to the index.
`double`
`SD_CLUSTERS_PER_TILE`
The standard deviation of clusters per tile.
`double`
`SD_PCT_PF_CLUSTERS_PER_TILE`
The standard deviation in percentage of pf clusters per tile.
`double`
`SD_PF_CLUSTERS_PER_TILE`
The standard deviation in number of pf clusters per tile.
`long`
`TOTAL_BASES`
The total number of bases assigned to the index.
`long`
`TOTAL_CLUSTERS`
The total number of clusters assigned to the index.
`long`
`TOTAL_READS`
The total number of reads assigned to the index.

## Constructor Summary

Constructors
Constructor
Description
`IlluminaBasecallingMetrics()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### LANE

public String LANE
The lane for which the metrics were calculated.

### MOLECULAR_BARCODE_SEQUENCE_1

public String MOLECULAR_BARCODE_SEQUENCE_1
The barcode sequence for which the metrics were calculated.

### MOLECULAR_BARCODE_NAME

public String MOLECULAR_BARCODE_NAME
The barcode name for which the metrics were calculated.

### TOTAL_BASES

public long TOTAL_BASES
The total number of bases assigned to the index.

### PF_BASES

public long PF_BASES
The total number of passing-filter bases assigned to the index.

### TOTAL_READS

public long TOTAL_READS
The total number of reads assigned to the index.

### PF_READS

public long PF_READS
The total number of passing-filter reads assigned to the index.

### TOTAL_CLUSTERS

public long TOTAL_CLUSTERS
The total number of clusters assigned to the index.

### PF_CLUSTERS

public long PF_CLUSTERS
The total number of PF clusters assigned to the index.

### MEAN_CLUSTERS_PER_TILE

public double MEAN_CLUSTERS_PER_TILE
The mean number of clusters per tile.

### SD_CLUSTERS_PER_TILE

public double SD_CLUSTERS_PER_TILE
The standard deviation of clusters per tile.

### MEAN_PCT_PF_CLUSTERS_PER_TILE

public double MEAN_PCT_PF_CLUSTERS_PER_TILE
The mean percentage of pf clusters per tile.

### SD_PCT_PF_CLUSTERS_PER_TILE

public double SD_PCT_PF_CLUSTERS_PER_TILE
The standard deviation in percentage of pf clusters per tile.

### MEAN_PF_CLUSTERS_PER_TILE

public double MEAN_PF_CLUSTERS_PER_TILE
The mean number of pf clusters per tile.

### SD_PF_CLUSTERS_PER_TILE

public double SD_PF_CLUSTERS_PER_TILE
The standard deviation in number of pf clusters per tile.

## Constructor Details

### IlluminaBasecallingMetrics

public IlluminaBasecallingMetrics()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `htsjdk.samtools.metrics.MetricBase`